Skip to main content
GET
Get an AI Deliverability Agent

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

AI Deliverability Agent ID. Call GET /api/v2/ai-agents/deliverability and use the returned agent.id value to retrieve the workspace default agent ID.

Example:

"01a1cc73-90e4-79c1-b3f8-c8072c752020"

Response

The requested AI Deliverability Agent

An AI Deliverability Agent

id
string<uuid>
required
read-only

Unique identifier for the AI agent

Example:

"01a1cc73-59ac-7a48-b20e-60a4c26aa06e"

organization_id
string<uuid>
required
read-only

Organization ID

Example:

"01a1cc73-59ac-7a48-b20e-60a5ef64ac09"

name
string
required

Name of the AI Agent

Example:

"Test AI Agent"

timestamp_created
string
required
read-only

Timestamp when the AI agent was created

Example:

"2026-11-11T21:11:14.092Z"

timestamp_updated
string
required
read-only

Timestamp when the AI agent was updated

Example:

"2026-11-11T21:11:14.092Z"

status
enum<number>
required

Status of the AI Agent

Available options:
-1,
0,
1
Example:

1

payload
object

Deliverability Agent payload

type
null | enum<number>

Type of the AI Agent

Available options:
1,
2,
3,
4,
6,
7,
8,
9,
10,
11
Example:

1

is_auto_created
null | boolean

Whether the AI agent was auto-created

Example:

false

created_by
null | string<uuid>
read-only

User ID who created the AI agent

Example:

"01a1cc73-59ac-7a48-b20e-60a63d38887d"

description
null | string
read-only

Description of the AI agent

Example:

"Optional agent description"